curl --request POST \
--url https://use.hoop.dev/api/integrations/aws/rds/describe-db-instances \
--header 'Content-Type: */*' \
--data '
{
"account_ids": [
"<string>"
]
}
'{
"items": [
{
"account_id": "123456789012",
"arn": "arn:aws:rds:us-west-2:123456789012:db:my-postgres-db",
"availability_zone": "us-west-2a",
"connection_resources": [
"pgtest1",
"pgtest2"
],
"engine": "postgres",
"error": "IAM account does not have permission to list db instances in this account",
"name": "my-postgres-db",
"status": "available",
"vpc_id": "vpc-0123456789abcdef0"
}
]
}It list RDS Database Instances
curl --request POST \
--url https://use.hoop.dev/api/integrations/aws/rds/describe-db-instances \
--header 'Content-Type: */*' \
--data '
{
"account_ids": [
"<string>"
]
}
'{
"items": [
{
"account_id": "123456789012",
"arn": "arn:aws:rds:us-west-2:123456789012:db:my-postgres-db",
"availability_zone": "us-west-2a",
"connection_resources": [
"pgtest1",
"pgtest2"
],
"engine": "postgres",
"error": "IAM account does not have permission to list db instances in this account",
"name": "my-postgres-db",
"status": "available",
"vpc_id": "vpc-0123456789abcdef0"
}
]
}The request body resource
List of account IDs to scope resources in
OK
Show child attributes
AccountID is the unique identifier for the AWS account that owns the database
"123456789012"
ARN is the Amazon Resource Name that uniquely identifies the database instance
"arn:aws:rds:us-west-2:123456789012:db:my-postgres-db"
AvailabilityZone is the AWS availability zone where the database is deployed
"us-west-2a"
Contains the connection resources that were already provisioned. The resources are marked with a specific tag after completion.
["pgtest1", "pgtest2"]Engine is the database engine type (e.g., MySQL, PostgreSQL)
"postgres"
Contains an error in case it was not able to list the db instances from the account id
"IAM account does not have permission to list db instances in this account"
Name is the identifier for the database instance
"my-postgres-db"
Status indicates the current state of the database instance
"available"
VpcID is the ID of the Virtual Private Cloud where the database is deployed
"vpc-0123456789abcdef0"
Was this page helpful?